Bug 15213 - Fix tools sidebar to highlight Patron lists when in that module
Summary: Fix tools sidebar to highlight Patron lists when in that module
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Tools (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Galen Charlton
QA Contact: Testopia
URL:
Keywords:
Depends on: 15211 15212
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-19 03:37 UTC by Liz Rea
Modified: 2017-12-07 22:17 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 15213 - Fix tools sidebar to highlight Patron lists when in that module (2.04 KB, patch)
2015-11-20 01:24 UTC, Liz Rea
Details | Diff | Splinter Review
Bug 15213 - Fix tools sidebar to highlight Patron lists when in that module (1.35 KB, patch)
2015-11-20 01:45 UTC, Liz Rea
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 15213 - fix buttons on patron lists (1.34 KB, patch)
2015-12-01 14:54 UTC, Owen Leonard
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 15213 - Fix tools sidebar to highlight Patron lists when in that module (1.43 KB, patch)
2016-05-31 19:31 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 15213 - Fix tools sidebar to highlight Patron lists when in that module (1.47 KB, patch)
2016-06-07 09:59 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Liz Rea 2015-11-19 03:37:28 UTC
Patron lists has some subpages within it, so special handling is needed for bolding the sidebar when that tool is the active one.
Comment 1 Liz Rea 2015-11-19 20:48:06 UTC
Depends on 15211 and 15212 because both of them bring this issue forward.
Comment 2 Liz Rea 2015-11-20 01:24:55 UTC Comment hidden (obsolete)
Comment 3 Liz Rea 2015-11-20 01:30:46 UTC
This patch will also fix bug 15223.
Comment 4 Liz Rea 2015-11-20 01:42:28 UTC
Comment on attachment 45031 [details] [review]
Bug 15213 - Fix tools sidebar to highlight Patron lists when in that module

Actually I don't want 15223 included in this patch, in case this one doesn't get in, so I'll send a new patch.
Comment 5 Liz Rea 2015-11-20 01:45:21 UTC Comment hidden (obsolete)
Comment 6 Héctor Eduardo Castro Avalos 2015-11-21 01:56:12 UTC
Hi Liz

(In reply to Liz Rea from comment #1)
> Depends on 15211 and 15212 because both of them bring this issue forward.

15212 doesn't have patch attached.

(In reply to Liz Rea from comment #5)
> Created attachment 45033 [details] [review] [review]
> Bug 15213 - Fix tools sidebar to highlight Patron lists when in that module
> To test:
> 
> Add some patron lists, navigate through the lists interface and make sure
> that while you are in the module, that Patron lists is highlighted on the
> sidebar.
> 
> Depends on 15211 and 15213

Do I need to apply bug 15211 on top?  Test plan isn't clear for me, please reword/clarify the message :)

Regards
Comment 7 Owen Leonard 2015-12-01 14:54:14 UTC Comment hidden (obsolete)
Comment 8 Owen Leonard 2015-12-01 15:44:17 UTC
Comment on attachment 45272 [details] [review]
[SIGNED-OFF] Bug 15213 - fix buttons on patron lists

Sorry, wrong bug report!
Comment 9 Owen Leonard 2016-05-31 19:31:31 UTC Comment hidden (obsolete)
Comment 10 Liz Rea 2016-05-31 21:03:42 UTC
Ha I forgot all about this patch. Thanks Owen!

Liz
Comment 11 Jonathan Druart 2016-06-07 09:59:21 UTC
Created attachment 52118 [details] [review]
Bug 15213 - Fix tools sidebar to highlight Patron lists when in that module

To test:

Add some patron lists, navigate through the lists interface and make
sure that while you are in the module, that Patron lists is highlighted
on the sidebar.

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Amended patch: fix alignement
Comment 12 Kyle M Hall 2016-06-10 18:06:55 UTC
Pushed to master for Koha 16.11, thanks Liz!
Comment 13 Frédéric Demians 2016-06-15 07:51:36 UTC
Pushed in 16.05. Will be in 16.05.01.
Comment 14 Julian Maurice 2016-06-16 10:09:10 UTC
Not needed in 3.22.x